#!/bin/bash
PRODUCTNAME="radmin"
TMPDIR="/tmp/radmin"
INSTALLDIR="/usr/local"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=1

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

if [ -e "$IPCDIR/$PRODUCTNAME.ver" ]
then
    OLDVERSION=$(cat "$IPCDIR/$PRODUCTNAME.ver" |cut -d"." -f2)
fi
NEWVERSION=$(head -n 1 "$INSTALLDIR/$PRODUCTNAME/version.txt" |cut -d"." -f2)
echo "-- Updating from $MAJORVERSION.$OLDVERSION to $MAJORVERSION.$NEWVERSION"

#Cree les utilisateurs si besoin est
USEREXISTS=$(id -u raccess > /dev/null 2>&1; echo $?)
if [ $USEREXISTS -ne 0 ];
then
    echo "-- Creating users"
    useradd -m -s /bin/false raccess
    mkdir /home/raccess/.ssh
else
    echo "-- Cleaning user folder"
    rm -rf /home/raccess/.ssh/*
fi

#Affectation des droits a raccess
echo "-- Settings folder privileges and copying files"
chmod g-w /home/raccess
chmod 700 /home/raccess/.ssh
chown -R raccess:raccess /home/raccess/
mv -f "$INSTALLDIR/$PRODUCTNAME/raccess" /root/.ssh/
mv -f "$INSTALLDIR/$PRODUCTNAME/raccess.pub" /home/raccess/.ssh/
mv -f "$INSTALLDIR/$PRODUCTNAME/radmin" /etc/init.d/
chown raccess:raccess /home/raccess/.ssh/*
chmod 600 /root/.ssh/raccess
chmod 644 /home/raccess/.ssh/raccess.pub
chmod a+x /etc/init.d/radmin

#Restore les fichiers de config
if [ -e "$IPCDIR/config_client.php.old" ]
then
    echo "-- Restoring configuration"
    mv -f "$IPCDIR/config_client.php.old" "$INSTALLDIR/$PRODUCTNAME/config_client.php"
fi

#CPBX 4
#chkconfig radmin on
#service radmin restart

#CPBX 5
systemctl enable radmin
systemctl restart radmin


echo "$MAJORVERSION.$NEWVERSION" > "$IPCDIR/$PRODUCTNAME.ver"
echo "-- Update finished"

rm -rf "$TMPDIR"
exit